Get the notebook reference attached to an app version
curl --request GET \
--url https://api.example.com/api/app/versions/{version_id}/notebook \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/app/versions/{version_id}/notebook"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/app/versions/{version_id}/notebook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_type": "<string>",
"properties_json": "<string>",
"created_by": "<string>",
"created_date": "<unknown>",
"updated_by": "<string>",
"updated_date": "<unknown>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}App manager
Get the notebook reference attached to an app version
Return the notebook-reference component attached to an app version, if any.
GET
/
api
/
app
/
versions
/
{version_id}
/
notebook
Get the notebook reference attached to an app version
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique ID of the app version.
Response
Notebook reference returned successfully.
Response model for app component details.
Unique ID of the app component.
ID of the parent app version.
Type of component.
JSON string with component metadata.
Username of the creator.
Component creation timestamp.
Username of the last updater.
Timestamp when the component was last updated.
Was this page helpful?

